# $Revision: 1.17 $, $Date: 2002/08/04 06:30:31 $
Summary:	Multiplayer roguelike game server
Summary(pl):	Serwer gry roguelike dla wielu graczy
Name:		crossfire
Version:	1.3.0
Release:	1
License:	GPL
Group:		Applications/Games
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/crossfire/%{name}-%{version}.tar.bz2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-directories.patch
Patch2:		%{name}-tmp_maps.patch
Patch3:		%{name}-python.patch
URL:		http://crossfire.real-time.com/
BuildRequires:	XFree86-devel
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_localstatedir	/var/lib

%description 
This is a multiplayer graphical arcade and adventure game made for the
X-Window environment. There are also Windows and Java clients
available.

It has certain flavours from other games, especially Gauntlet (TM) and
Nethack/Moria.

Any number of players can move around in their own window, finding and
sing items and battle monsters. They can choose to cooperate or
compete in the same "world".

%description -l pl
To jest graficzna gra przygodowa dla rodowiska X-Window. S take
dostpni klienci pod Windows i w Javie.

%package editor
Summary:	Crossfire map editor
Summary(pl):	Edytor map crossfire
Group:		Applications/Games

%description editor
Crossfire map editor.

%description editor -l pl
Edytor map crossfire.

%package doc
Summary:	Crossfire game documentation
Summary(pl):	Dokumentacja gry crossfire
Group:		Applications/Games

%description doc
Crossfire documentation for players. Includes handbook and spoiler.

%description doc -l pl
Dokumentacja dla graczy Crossfire. Zawiera podrczniek oraz spoiler.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# don't apply, its unfinished
#%patch3 -p1
cd lib

%build
autoconf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/var/log,/etc/{sysconfig,%{name},logrotate.d},/etc/rc.d/init.d} \
	$RPM_BUILD_ROOT%{_localstatedir}/%{name}/{tmp,maps}

%{__make} install DESTDIR="$RPM_BUILD_ROOT"

mv -f $RPM_BUILD_ROOT%{_datadir}/%{name}/{ban_file,settings,dm_file,motd,forbid} \
	$RPM_BUILD_ROOT/etc/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

touch $RPM_BUILD_ROOT%{_localstatedir}/%{name}/clockdata \
	$RPM_BUILD_ROOT/var/log/crossfire

rm doc/Developers/Makefile*
 
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add crossfire
if [ -r /var/lock/subsys/crossfire ]; then
	/etc/rc.d/init.d/crossfire restart >&2
else
	echo "Run \"/etc/rc.d/init.d/crossfire start\" to start Crossfire server."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/crossfire ]; then
		/etc/rc.d/init.d/crossfire stop >&2
	fi
	/sbin/chkconfig --del crossfire
fi

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS DEVELOPERS README TODO
%doc doc/{alchemy.doc,experience,multigod,spell_params.doc} 
%doc doc/{spell-paths,spellcasters_guide_to_runes,metaserver} 
%doc doc/Developers
%attr(750,root,games) %{_bindir}/crossfire
%attr(750,root,games) %{_bindir}/random_map
%dir %attr(750,root,games) %{_datadir}/crossfire
%{_datadir}/crossfire/*
%{_mandir}/man?/crossfire*
%dir %attr(750,root,games) %{_localstatedir}/crossfire
%dir %attr(770,root,games) %{_localstatedir}/crossfire/players
%dir %attr(770,root,games) %{_localstatedir}/crossfire/unique-items
%dir %attr(770,root,games) %{_localstatedir}/crossfire/tmp
%dir %attr(770,root,games) %{_localstatedir}/crossfire/maps
%attr(660,root,games) %config(noreplace) %verify(not size mtime md5) %{_localstatedir}/crossfire/bookarch
%attr(660,root,games) %config(noreplace) %verify(not size mtime md5) %{_localstatedir}/crossfire/highscore
%attr(660,root,games) %config(noreplace) %verify(not size mtime md5) %{_localstatedir}/crossfire/temp.maps
%attr(660,root,games) %config(noreplace) %verify(not size mtime md5) %{_localstatedir}/crossfire/clockdata
%dir /etc/crossfire
%config(noreplace) %verify(not size mtime md5) /etc/crossfire/*
%attr(754,root,root) /etc/rc.d/init.d/crossfire
%attr(660,root,root) /etc/logrotate.d/crossfire
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/crossfire
%attr(660,root,games) %config(noreplace) %verify(not size mtime md5) /var/log/crossfire

%files editor
%defattr(644,root,root,755)
%doc doc/Crossedit.doc crossedit/doc/*.doc
%attr(755,root,root) %{_bindir}/crossedit
%{_mandir}/man?/crossedit*

%files doc
%defattr(644,root,root,755)
%doc doc/{handbook.ps,spoiler.ps}
%doc doc/{PlayerStats,RunTimeCommands,SurvivalGuide} 
%doc doc/{skills.doc,spellcasters_guide_to_runes,spells*} 

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: crossfire.spec,v $
Revision 1.17  2002/08/04 06:30:31  kloczek
- cosmetics.

Revision 1.16  2002/07/26 10:50:19  jajcus
- %%defattr for doc subpackage
- include clockdata file and directory for map overlays
- don't unzip %%{SOURCE1}. It is not the same file as it used to be :-)

Revision 1.15  2002/07/26 10:27:52  jajcus
- merge from DEVEL

Revision 1.14  2002/04/25 16:07:28  arturs
fixed a small typo

Revision 1.13  2002/03/19 15:55:44  ankry
- fixed URL

Revision 1.12  2002/02/22 23:28:46  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/31 21:40:14  ankry
- added Group(de/pl)

Revision 1.10  2002/01/18 02:12:36  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/09/24 11:30:36  qboosh
- Prereq: /sbin/chkconfig

Revision 1.8  2001/09/18 18:27:35  klakier
- X-Windows -> X-Window

Revision 1.7  2001/07/26 05:42:05  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.5  2001/05/14 16:47:57  jajcus
- Version: 1.0.0

Revision 1.4  2001/04/17 15:33:56  jajcus
- more FHS compliant
- enable recycling of temporary maps

Revision 1.3  2001/04/17 09:07:34  jajcus
- Version: 0.98.0

Revision 1.2  2001/02/02 15:24:38  jajcus
- do not use crossloop to start server (crossloop patch not needed anymore)
- map editor separated
- logs go to file /var/log/crossfire instead of directory
- more docs
- %%config and %%noreplace on files in /var

Revision 1.1  2001/01/29 10:16:48  jajcus
- new spec; multiplayer roguelike game
